Cards, prop trading & accounting
Get Rain Card Contracts
Fetches the caller's Rain deposit-address contracts (consumer or company level) and syncs them into wallet payment methods.
GEThttps://api.toku.com/hris/get-rain-card-contracts
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-rain-card-contracts' \
--header 'Authorization: Bearer <token>'200 response
{
"hasRainCard": true,
"contracts": [
{
"contractId": "string",
"chainId": "string",
"chainName": "string",
"depositAddress": "string",
"supportedTokens": [
"string"
],
"tokens": [
{
"address": "string",
"balance": "string",
"exchangeRate": 0,
"advanceRate": 0
}
]
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
hasRainCardbooleanrequiredcontractsobject[]requiredShow child attributes
contractIdstringrequiredchainIdstringrequiredchainNamestringrequireddepositAddressstringrequiredsupportedTokensstring[]requiredtokensobject[]requiredShow child attributes
addressstringrequiredbalancestringrequiredexchangeRatenumberrequiredadvanceRatenumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits